Skip to main content
GET
/
voices
/
{id}
/
preview
Preview Voice
curl --request GET \
  --url https://api.revring.ai/v1/voices/{id}/preview \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.revring.ai/v1/voices/{id}/preview"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.revring.ai/v1/voices/{id}/preview', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


"<string>"
{
"error": "unauthorized"
}
{
"error": "not_found"
}

Authorizations

x-api-key
string
header
required

API key for authentication. Generate API keys from the RevRing dashboard.

Path Parameters

id
string
required

Voice ID

Query Parameters

text
string

Text to speak in the preview (up to 300 characters). Defaults to a sample sentence.

Response

An MP3 audio preview

The response is of type file.